{
	"name": "form/nc/erp-sync/nestix/column/production-label.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"field": "prl.product_lot_id",
			"name": "Path id",
			"width": 75
		},
		{
			"field": "pro.work_number_id",
			"name": "Nx order",
			"width": 95
		},
		{
			"field": "pro.production_order_id",
			"name": "Prod. order",
			"width": 110
		},
		{
			"field": "pro.sales_order_id",
			"name": "Sales order",
			"width": 110
		},
		{
			"field": "pro.json_data.company_reference_number",
			"name": "Customer ord.",
			"width": 110
		},
		{
			"field": "pro.json_data.product_name",
			"name": "Product name",
			"width": 200
		},
		{
			"field": "pr.quality",
			"name": "Quality",
			"width": 120
		},
		{
			"field": "pr.json_data.thickness",
			"name": "Thi.",
			"width": 45
		},
		{
			"info": "link to nxdetail.nxdetailid",
			"field": "pro.json_data.nxdetailid",
			"name": "Detail",
			"width": 70
		},
		{
			"field": "prl.json_data.machine_time",
			"name": "Machine time",
			"width": 110
		},
		{
			"info": "Part pict path",
			"field": "prl.info-nxdetail",
			"name": "Emf picture path",
			"width": 250
		},
		{
			"field": "pro.json_data.work_phase2",
			"name": "p2",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase3",
			"name": "p3",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase4",
			"name": "p4",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase5",
			"name": "p5",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase6",
			"name": "p6",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase7",
			"name": "p7",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase8",
			"name": "p8",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase9",
			"name": "p9",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase10",
			"name": "p10",
			"width": 45
		},
		{
			"field": "pro.json_data.work_phase1",
			"name": "p1",
			"width": 45
		},
		{
			"info": "Sheet pict path",
			"field": "prl.info-nxsheet",
			"name": "Sheet picture path",
			"width": 250
		},
		{
			"field": "prl.json_data.transfer_id-nxsheet",
			"name": "Program",
			"width": 75
		},
		{
			"field": "prl.order_id",
			"name": "Nx order",
			"width": 75
		},
		{
			"field": "prl.json_data.nxsheetpathid",
			"name": "Path",
			"width": 60
		},
		{
			"field": "prl.product_lot_id-nxsheet",
			"name": "Sheet",
			"width": 60
		}
	],
	"column--": [
		{
			"field": "prl.json_data.used_time",
			"name": "Used time",
			"width": 90
		},
		{
			"field": "prl.company_id",
			"name": "Company",
			"width": 75
		},
		{
			"link_field": "pro.production_order_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "prl.product_lot_id",
			"name": "product_lot_id",
			"width": 215
		},
		{
			"change_compare": false,
			"field": "pro.production_order_state",
			"name": "State",
			"width": 70
		},
		{
			"field": "pr.product_id",
			"name": "Product id",
			"width": 120
		},
		{
			"field": "pr.drawing_number",
			"name": "Drawing",
			"width": 200
		},
		{
			"field": "pro.company_id",
			"name": "Customer",
			"width": 95
		},
		{
			"field": "pro.sales_order_id",
			"name": "Sales order",
			"width": 95
		},
		{
			"field": "pro.amount_to_produce",
			"name": "Amount",
			"width": 70
		},
		{
			"field": "pro.json_data.delivery_date",
			"name": "Delivery",
			"type": "date",
			"width": 90
		},
		{
			"field": "pro.info",
			"name": "Error info",
			"width": 150
		},
		{
			"change_compare": false,
			"name": "Modified",
			"field": "pro.modify_id",

			"width": 145
		},
		{
			"change_compare": false,
			"field": "pro.record_id",
			"name": "Record id",
			"width": 350
		}
	],
	"column-niu": [
		{
			"change_compare": false,
			"field": "pro.json_data.production_order_number",
			"name": "Work order",
			"width": 50
		}
	]
}
